package com.tanpu.community.dao.entity.community;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 主题文字查重表
 * </p>
 *
 * @author xudong
 * @since 2021-09-08
 */
@TableName("theme_text_filter")
@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value="ThemeTextFilterEntity对象", description="主题文字查重表")
public class ThemeTextFilterEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "主题Id")
    private String themeId;

    @ApiModelProperty(value = "分块")
    private String partition;

    @ApiModelProperty(value = "分块hash")
    private String partitionHash;

    @ApiModelProperty(value = "分块号")
    private Integer partitionNum;

    @ApiModelProperty(value = "分块总数")
    private Integer totalParts;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    private Integer deleteTag;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getThemeId() {
        return themeId;
    }

    public void setThemeId(String themeId) {
        this.themeId = themeId;
    }

    public String getPartition() {
        return partition;
    }

    public void setPartition(String partition) {
        this.partition = partition;
    }

    public String getPartitionHash() {
        return partitionHash;
    }

    public void setPartitionHash(String partitionHash) {
        this.partitionHash = partitionHash;
    }

    public Integer getPartitionNum() {
        return partitionNum;
    }

    public void setPartitionNum(Integer partitionNum) {
        this.partitionNum = partitionNum;
    }

    public Integer getTotalParts() {
        return totalParts;
    }

    public void setTotalParts(Integer totalParts) {
        this.totalParts = totalParts;
    }

    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteTag() {
        return deleteTag;
    }

    public void setDeleteTag(Integer deleteTag) {
        this.deleteTag = deleteTag;
    }

    @Override
    public String toString() {
        return "ThemeTextFilterEntity{" +
        "id=" + id +
        ", themeId=" + themeId +
        ", partition=" + partition +
        ", partitionHash=" + partitionHash +
        ", partitionNum=" + partitionNum +
        ", totalParts=" + totalParts +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", deleteTag=" + deleteTag +
        "}";
    }
}
